export interface PatrolProjectVO {
  /**
   * 记录ID
   */
  id: string | number;

  /**
   * 巡更类型
   */
  patrolType: string;

  /**
   * 巡更项目
   */
  patrolItem: string;

  /**
   * 创建人ID
   */
  createdBy: number;

  /**
   * 创建时间
   */
  createdTime: string;

  /**
   * 用户ID
   */
  userId: string | number;

  /**
   * 部门ID
   */
  deptId: string | number;

}

export interface PatrolProjectForm extends BaseEntity {
  /**
   * 记录ID
   */
  id?: string | number;

  /**
   * 巡更类型
   */
  patrolType?: string;

  /**
   * 巡更项目
   */
  patrolItem?: string;

  /**
   * 创建人ID
   */
  createdBy?: number;

  /**
   * 创建时间
   */
  createdTime?: string;

  /**
   * 用户ID
   */
  userId?: string | number;

  /**
   * 部门ID
   */
  deptId?: string | number;

}

export interface PatrolProjectQuery extends PageQuery {

  /**
   * 巡更类型
   */
  patrolType?: string;

  /**
   * 巡更项目
   */
  patrolItem?: string;

  /**
   * 创建人ID
   */
  createdBy?: number;

  /**
   * 创建时间
   */
  createdTime?: string;

  /**
   * 用户ID
   */
  userId?: string | number;

  /**
   * 部门ID
   */
  deptId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



