export interface HandoverTemplateVO {
  /**
   * 主键
   */
  id: string | number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新时间
   */
  updateTime: string;

  /**
   * 更新操作人
   */
  updateBy: number;

  /**
   * 模板名称
   */
  name: string;

  /**
   * 交接内容
   */
  content: string;

  /**
   * 状态
   */
  status: number;

}

export interface HandoverTemplateForm extends BaseEntity {
  /**
   * 主键
   */
  id?: string | number;

  /**
   * 模板名称
   */
  name?: string;

  /**
   * 交接内容
   */
  content?: string;

  /**
   * 状态
   */
  status?: number;

}

export interface HandoverTemplateQuery extends PageQuery {

  /**
   * 模板名称
   */
  name?: string;

  /**
   * 状态
   */
  status?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



